## ide-script-manager ide-script-manager |

## Functions

const gchar * | ide_script_manager_get_scripts_directory ()
void | ide_script_manager_load_async ()
gboolean | ide_script_manager_load_finish ()

## Types and Values

#define | IDE_TYPE_SCRIPT_MANAGER
| IdeScriptManager

## Description

## Functions

### ide_script_manager_get_scripts_directory ()

    const gchar *
    ide_script_manager_get_scripts_directory
                                   (IdeScriptManager *self);

### ide_script_manager_load_async ()

    void
    ide_script_manager_load_async (IdeScriptManager *self,
                                   GCancellable *cancellable,
                                   GAsyncReadyCallback callback,
                                   gpointer user_data);

### ide_script_manager_load_finish ()

    gboolean
    ide_script_manager_load_finish (IdeScriptManager *self,
                                    GAsyncResult *result,
                                    GError **error);

## Types and Values

### IDE_TYPE_SCRIPT_MANAGER

    #define IDE_TYPE_SCRIPT_MANAGER (ide_script_manager_get_type())

### IdeScriptManager

    typedef struct _IdeScriptManager IdeScriptManager;